Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/py-poppler: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 8 Nov 2016 20:29:11 +0100

---
 testing/py-poppler/APKBUILD                        | 65 ++++++++++++++++++++++
 .../pypoppler-0.12.1-poppler-0.16.0.patch          | 13 +++++
 ...hon-poppler-0.12.1-poppler-0.39.0-changes.patch | 21 +++++++
 3 files changed, 99 insertions(+)
 create mode 100644 testing/py-poppler/APKBUILD
 create mode 100644 testing/py-poppler/pypoppler-0.12.1-poppler-0.16.0.patch
 create mode 100644 testing/py-poppler/python-poppler-0.12.1-poppler-0.39.0-changes.patch
diff --git a/testing/py-poppler/APKBUILD b/testing/py-poppler/APKBUILD
new file mode 100644
index 0000000..7cecfc3
--- /dev/null
+++ b/testing/py-poppler/APKBUILD
_at_@ -0,0 +1,65 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
+pkgname=py-poppler
+pkgver=0.12.1
+pkgrel=0
+pkgdesc="Python bindings for the poppler PDF library"
+url="https://launchpad.net/poppler-python"
+arch="all"
+license="GPL2"
+depends="python2 poppler-glib py-gtk"
+depends_dev=""
+makedepends="python2-dev poppler-dev py-gtk-dev py-cairo-dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://launchpad.net/poppler-python/trunk/development/+download/pypoppler-$pkgver.tar.gz
+	pypoppler-0.12.1-poppler-0.16.0.patch
+	python-poppler-0.12.1-poppler-0.39.0-changes.patch"
+builddir="$srcdir/pypoppler-$pkgver"
+patch_args="-p0"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	update_config_sub || return 1
+
+	# Taken from ArchLinux.
+	sed -i "/pixbuf/,/^)/d" \
+		poppler.defs || return 1
+}
+
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples/
+	install -Dm644 AUTHORS ChangeLog NEWS \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	install -Dm644 demo/* \
+		"$pkgdir"/usr/share/doc/$pkgname/examples/ \
+		|| return 1
+}
+
+md5sums="1a89e5ed3042afc81bbd4d02e0cf640a  py-poppler-0.12.1.tar.gz
+2b1f0f34fb5f1b340e73167790816078  pypoppler-0.12.1-poppler-0.16.0.patch
+c162548b659728e847fc69336d134e05  python-poppler-0.12.1-poppler-0.39.0-changes.patch"
+sha256sums="322f183d24798a056f3005d1ab8e3ac27d8cfbbf0982725b323bbfec1bab5355  py-poppler-0.12.1.tar.gz
+e8463e152dd6049c93896d2cd8e7bd93feb444fcd0a0aa0e3f36c969e7b2c45c  pypoppler-0.12.1-poppler-0.16.0.patch
+1d881100627e6dd01c5d85cc6e2f94975cbcc40d02f9a164d57154713fe7e08c  python-poppler-0.12.1-poppler-0.39.0-changes.patch"
+sha512sums="04055411adc19f6af499a7cba0d6c5abb51e0802dd28962f833da3da1caf6ff274ff67d082f9c47548dac7a4ceb1bccf9860cda71fe48b8b7df74c0132498d20  py-poppler-0.12.1.tar.gz
+f90b72bbdb9ddcea8ef69e1d45203b39954b21d5ac52a07d37da236ceba8ddc390408c3322849aa689dc2d3211dcd6889dcdf83c9c2db562e1b1345c8b5d9266  pypoppler-0.12.1-poppler-0.16.0.patch
+be64949eebf09481ce2d068e33e0549c0f92a38c12b1c20e50d69fd50bd8b83719c4a194e96112e658673034cec98f5bd5cf84a64842f0ee7d8c1802ebd16419  python-poppler-0.12.1-poppler-0.39.0-changes.patch"
diff --git a/testing/py-poppler/pypoppler-0.12.1-poppler-0.16.0.patch b/testing/py-poppler/pypoppler-0.12.1-poppler-0.16.0.patch
new file mode 100644
index 0000000..ba668af
--- /dev/null
+++ b/testing/py-poppler/pypoppler-0.12.1-poppler-0.16.0.patch
_at_@ -0,0 +1,13 @@
+Taken from the ArchLinux folks.
+
+--- poppler.defs.orig	2010-12-30 05:55:07.000000000 +0000
++++ poppler.defs	2010-12-30 05:55:27.000000000 +0000
+_at_@ -1794,7 +1794,7 @@
+ 
+ (define-method get_text
+   (of-object "PopplerPage")
+-  (c-name "poppler_page_get_text")
++  (c-name "poppler_page_get_selected_text")
+   (return-type "char*")
+   (parameters
+     '("PopplerSelectionStyle" "style")
diff --git a/testing/py-poppler/python-poppler-0.12.1-poppler-0.39.0-changes.patch b/testing/py-poppler/python-poppler-0.12.1-poppler-0.39.0-changes.patch
new file mode 100644
index 0000000..6873397
--- /dev/null
+++ b/testing/py-poppler/python-poppler-0.12.1-poppler-0.39.0-changes.patch
_at_@ -0,0 +1,21 @@
+Taken from the ArchLinux folks.
+
+--- poppler.defs	2009-09-27 16:07:59.000000000 +0700
++++ poppler.defs	2015-12-22 16:36:14.000000000 +0600
+_at_@ -579,16 +579,4 @@
+ )
+ 
+-(define-enum Orientation
+-  (in-module "Poppler")
+-  (c-name "PopplerOrientation")
+-  (gtype-id "POPPLER_TYPE_ORIENTATION")
+-  (values
+-    '("portrait" "POPPLER_ORIENTATION_PORTRAIT")
+-    '("landscape" "POPPLER_ORIENTATION_LANDSCAPE")
+-    '("upsidedown" "POPPLER_ORIENTATION_UPSIDEDOWN")
+-    '("seascape" "POPPLER_ORIENTATION_SEASCAPE")
+-  )
+-)
+-
+ (define-enum PageTransitionType
+   (in-module "Poppler")
-- 
2.10.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Nov 08 2016 - 20:29:11 GMT